/* 
 * Copyright (c) 1993-2010 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef LOCODEMO_PRINT_H
#define LOCODEMO_PRINT_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/genPosTclservClientEncode.h"

#include "server/tclservClient/pomTclservClientEncode.h"


#include "server/locoDemoPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
void buf_add_struct_LOCODEMO_REF_POSTER_STR ( buf_t buf, struct LOCODEMO_REF_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_LOCODEMO_ODO_POSTER_STR ( buf_t buf, struct LOCODEMO_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_LOCODEMO_MEPOS_POSTER_STR ( buf_t buf, struct LOCODEMO_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_struct_LOCODEMO_STR ( buf_t buf, struct LOCODEMO_STR *x, int nDim, int *dims);
void buf_add_struct_SURV_LINE_STR ( buf_t buf, struct SURV_LINE_STR *x, int nDim, int *dims);
void buf_add_struct_CMD_PARAM_STR ( buf_t buf, struct CMD_PARAM_STR *x, int nDim, int *dims);
void buf_add_enum_LOCODEMO_MODE ( buf_t buf, enum LOCODEMO_MODE *x, int nDim, int *dims);

/* ======================== PRINT DES TYPEDEF ============================= */

void buf_add_LOCODEMO_MODE ( buf_t buf, LOCODEMO_MODE *x, int nDim, int *dims);
void buf_add_CMD_PARAM_STR ( buf_t buf, CMD_PARAM_STR *x, int nDim, int *dims);
void buf_add_SURV_LINE_STR ( buf_t buf, SURV_LINE_STR *x, int nDim, int *dims);
void buf_add_LOCODEMO_STR ( buf_t buf, LOCODEMO_STR *x, int nDim, int *dims);
void buf_add_LOCODEMO_MEPOS_POSTER_STR ( buf_t buf, LOCODEMO_MEPOS_POSTER_STR *x, int nDim, int *dims);
void buf_add_LOCODEMO_ODO_POSTER_STR ( buf_t buf, LOCODEMO_ODO_POSTER_STR *x, int nDim, int *dims);
void buf_add_LOCODEMO_REF_POSTER_STR ( buf_t buf, LOCODEMO_REF_POSTER_STR *x, int nDim, int *dims);
#ifdef __cplusplus
}
#endif

#endif /* LOCODEMO_TCLSERV_CLIENT_ENCODE_H */

